<?php

namespace App\Resources;

use App\Models\EventParticipantOption;
use Illuminate\Http\Resources\Json\JsonResource;

class EventParticipantOptionResource extends JsonResource
{
    function __construct(EventParticipantOption $option)
    {
        parent::__construct($option);
    }

    public function toArray($request): array
    {
        return [
            'questionKey' => $this->resource->question_key,
            'questionLabel' => $this->resource->question_label,
            'value' => $this->resource->value,
            'valueLabel' => $this->resource->value_label,
        ];
    }
}
